
import javax.media.opengl.GL;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Jeremy
 */
public class CS752_Rock 
{
    private final float rotationSpeed = 0.1f; //defines the speed the rock will rotate
    private float rotationAngle; //holds the current rotation angle
    private CS752_Sphere sphere = new CS752_Sphere();
    
    public CS752_Rock()
    {
        rotationAngle = 0.0f;
        sphere.createSphere(1, 0, 0, 0);
    }
    
    public void draw(GL gl)
    {
        rotationAngle += rotationSpeed;
        rotationAngle %= 360.0f;
        
        gl.glRotatef(rotationAngle, 0.5f, 0.5f, 0.0f);
        gl.glPushMatrix();
        gl.glScalef(3.0f, 3.0f, 3.0f);
        
        sphere.displaySphere(gl);
        
        gl.glPopMatrix();
    }
}
